Kerbal Space Program - Bug #24412
Duplicating hinge "forgets™ angle limitations
11/22/2019 11:51 AM - Kirk

Status: Confirmed Start date: 11/22/2019
Severity: Low % Done: 10%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

When | duplicated a hinge with an I-beam and a wheel on it, the duplicate's target angle slider was not set to use the angle limitations
of the part. As a result | could drag the slider from 0 to 90 degrees, instead of -75 to 75 degrees. The result was that | could not rotate
it under 0 degrees, but also not over 75 degrees. The slider could be dragged all the way up to 90 degrees, but the hinge itself
obeyed the angle limitation of 75 degrees. Presumably, the hinge also would also obey the -75 degree angle limitation, but the slider
could not be dragged lower than 0 degrees.

History

#1 - 01/26/2020 10:31 PM - abc
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| see this as well, checking with a rotation servo and angle limit. The angle limit can be changed on the duplicated part, but the target angle slider
does not adjust. If launched, the target angle slider shows the correct range and works. (Note: edited, at first | was confused but the reset to 0 was
due to being in the axis group. Also, when | tried it again | was able to see the correct target angle slider as soon as angle limit was changed after
duplicating, so this issue also seems to only happen some of the time).

Saving and loading causes the slider to have the correct range (I didn't test launch but I'm guessing that works correctly too).

| was about to file a different bug: disabling "Allow Full Rotation" does not always show the target angle slider on rotation servos (until a save and
reload). I'm not sure why it happens only some of the time. It seems very similar to this one and | would guess has the same cause. Unless
someone tells me otherwise, I'm guessing they are close enough that just this bug report is enough for now.

#4 - 07/21/2021 09:15 PM - theaziz
- File screenshot292.png added
- File screenshot294.png added

Still exists in 1.12.1
Although | had two hinges in mirror symmetry on two sides of a beam, it was fine, but then | copied the whole thing and weird things started

happening. One hinge was not responding to angle changes at all, and even removing the part from symmetry did nothing. Screens attached (from
slightly modded game but tested on clean, same result)
